Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
compiler.h File Reference

Go to the source code of this file.

## Macros
#define | BOTAN_CLANG_VERSION 0
#define | BOTAN_CURRENT_FUNCTION __func__
#define | BOTAN_DEPRECATED(msg)
#define | BOTAN_FUNC_ISA(isa)
#define | BOTAN_GCC_VERSION 0
#define | BOTAN_NOEXCEPT noexcept
#define | BOTAN_NORETURN
#define | BOTAN_PARALLEL_FOR for
#define | BOTAN_PARALLEL_SIMD_FOR for
#define | BOTAN_PARALLEL_SPAWN
#define | BOTAN_PARALLEL_SYNC BOTAN_FORCE_SEMICOLON
#define | BOTAN_WARN_UNUSED_RESULT

## Macro Definition Documentation

#define BOTAN_CLANG_VERSION 0

Definition at line 31 of file compiler.h.

#define BOTAN_CURRENT_FUNCTION __func__

Definition at line 105 of file compiler.h.

Referenced by botan_bcrypt_generate(), botan_bcrypt_is_valid(), botan_block_cipher_init(), botan_cipher_init(), botan_cipher_start(), botan_cipher_update(), botan_hash_init(), botan_hex_encode(), botan_kdf(), botan_mac_init(), botan_pbkdf(), botan_pbkdf_timed(), botan_pk_op_decrypt_create(), botan_pk_op_encrypt_create(), botan_pk_op_key_agreement_create(), botan_pk_op_sign_create(), botan_pk_op_verify_create(), botan_privkey_create(), botan_privkey_create_ecdh(), botan_privkey_create_ecdsa(), botan_privkey_create_mceliece(), botan_privkey_create_rsa(), botan_privkey_export_pubkey(), botan_privkey_load(), botan_privkey_load_dsa(), botan_privkey_load_rsa(), botan_pubkey_load(), botan_pubkey_load_dsa(), botan_pubkey_load_rsa(), botan_rng_init(), botan_x509_cert_get_public_key(), botan_x509_cert_load(), and botan_x509_cert_load_file().

#define BOTAN_DEPRECATED | ( |  | msg | ) |

Definition at line 79 of file compiler.h.

#define BOTAN_FUNC_ISA | ( |  | isa | ) |

Definition at line 48 of file compiler.h.

#define BOTAN_GCC_VERSION 0

Definition at line 22 of file compiler.h.

#define BOTAN_NOEXCEPT noexcept

Definition at line 116 of file compiler.h.

#define BOTAN_NORETURN

Definition at line 94 of file compiler.h.

#define BOTAN_PARALLEL_FOR for

Definition at line 129 of file compiler.h.

Referenced by Botan::Blowfish::decrypt_n(), Botan::CAST_128::decrypt_n(), Botan::Twofish::decrypt_n(), Botan::XTEA::decrypt_n(), Botan::Threefish_512::decrypt_n(), Botan::CAST_128::encrypt_n(), Botan::XTEA::encrypt_n(), Botan::Threefish_512::encrypt_n(), Botan::Twofish::encrypt_n(), and Botan::Blowfish::encrypt_n().

#define BOTAN_PARALLEL_SIMD_FOR for

Definition at line 146 of file compiler.h.

Referenced by Botan::Serpent::decrypt_n(), and Botan::Serpent::encrypt_n().

#define BOTAN_PARALLEL_SPAWN

Definition at line 159 of file compiler.h.

#define BOTAN_PARALLEL_SYNC BOTAN_FORCE_SEMICOLON

Definition at line 172 of file compiler.h.

#define BOTAN_WARN_UNUSED_RESULT

Definition at line 57 of file compiler.h.